--- title: "Get SSO user group list" slug: "get-user-groups" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/get-user-groups" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get SSO user group list Available in Classic and VPC Get the list of groups an SSO user belongs to. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/users/{userId}/groups | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `userId` | String | Required | SSO user ID - See [Get SSO user list](/docs/en/get-users) | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `searchColumn` | String | Conditional | Search column - `groupName` \| `groupNrn` \| `groupId` - `groupName`: group name - `groupNrn`: NAVER Cloud Platform resource identification value for group - `groupId`: group ID - Required when entering `searchWord` | | `searchWord` | String | Optional | Search keyword - If you enter a value that does not match in whole or in part with the search column options (`groupName`, `groupNrn`, `groupId`), `items` is displayed as an empty value `[]` in the response - If you request without `searchColumn`, the entire list is displayed | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/users/ba0def04-****-****-****-ff0b962016f7/groups?searchColumn=groupName&searchWord=group000&page=0&size=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Number | - | Page number | | `totalPages` | Number | - | Total number of pages | | `totalItems` | Number | - | Number of response results | | `isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | | `hasPrevious` | Boolean | - | Whether previous page exists - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `hasNext` | Boolean | - | Whether next page exists - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `items` | Array | - | Group list: [items](/docs/en/get-user-groups#items) | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `groupId` | String | - | Group ID | | `groupName` | String | - | Group name | | `nrn` | String | - | NAVER Cloud Platform resource identification value for group | | `description` | String | - | Group description | | `createdAt` | String | - | Group creation date and time - ISO 8601 format | | `updatedAt` | String | - | Group modification date and time - ISO 8601 format | | `relationCreatedAt` | String | - | Group addition date and time - ISO 8601 format | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page" : 0, "totalPages" : 1, "totalItems" : 1, "isFirst" : true, "isLast" : true, "hasPrevious" : false, "hasNext" : false, "items" : [ { "groupId" : "12cfbd94-****-****-****-2ff725201395", "groupName" : "group000", "nrn" : "nrn:PUB:SSO::*******:Group/12cfbd94-****-****-****-2ff725201395", "description" : "group000 description", "createdAt" : "2025-01-13T02:04:15Z", "updatedAt" : "2025-01-13T02:07:21Z", "relationCreatedAt" : "2025-01-13T02:07:21Z" } ] } ```